## AnjutaProfileManager

AnjutaProfileManager — Managers a stack of plugins profiles

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <libanjuta/anjuta-profile-manager.h>

                        AnjutaProfileManagerPriv;
                        AnjutaProfileManager;
    AnjutaProfileManager* anjuta_profile_manager_new        (AnjutaPluginManager *plugin_manager);
    gboolean            anjuta_profile_manager_push         (AnjutaProfileManager *profile_manager,
                                                             AnjutaProfile *profile,
                                                             GError **error);
    gboolean            anjuta_profile_manager_pop          (AnjutaProfileManager *profile_manager,
                                                             const gchar *profile_name,
                                                             GError **error);
    void                anjuta_profile_manager_freeze       (AnjutaProfileManager *profile_manager);
    gboolean            anjuta_profile_manager_thaw         (AnjutaProfileManager *plugin_manager,
                                                             GError **error);
    AnjutaProfile*      anjuta_profile_manager_get_current  (AnjutaProfileManager *profile_manager);

## Object Hierarchy

      GObject
       +----AnjutaProfileManager

## Properties

      "plugin-manager"           AnjutaPluginManager*  : Read / Write / Construct

## Signals

      "profile-descoped"                               : Run First
      "profile-popped"                                 : Run First
      "profile-pushed"                                 : Run First
      "profile-scoped"                                 : Run First

## Description

## Details

### AnjutaProfileManagerPriv

    typedef struct _AnjutaProfileManagerPriv AnjutaProfileManagerPriv;

### AnjutaProfileManager

    typedef struct _AnjutaProfileManager AnjutaProfileManager;

### anjuta_profile_manager_new ()

    AnjutaProfileManager* anjuta_profile_manager_new        (AnjutaPluginManager *plugin_manager);

`plugin_manager` : |
Returns : |

### anjuta_profile_manager_push ()

    gboolean            anjuta_profile_manager_push         (AnjutaProfileManager *profile_manager,
                                                             AnjutaProfile *profile,
                                                             GError **error);

`profile_manager` : |
`profile` : |
`error` : |
Returns : |

### anjuta_profile_manager_pop ()

    gboolean            anjuta_profile_manager_pop          (AnjutaProfileManager *profile_manager,
                                                             const gchar *profile_name,
                                                             GError **error);

`profile_manager` : |
`profile_name` : |
`error` : |
Returns : |

### anjuta_profile_manager_freeze ()

    void                anjuta_profile_manager_freeze       (AnjutaProfileManager *profile_manager);

`profile_manager` : |

### anjuta_profile_manager_thaw ()

    gboolean            anjuta_profile_manager_thaw         (AnjutaProfileManager *plugin_manager,
                                                             GError **error);

`plugin_manager` : |
`error` : |
Returns : |

### anjuta_profile_manager_get_current ()

    AnjutaProfile*      anjuta_profile_manager_get_current  (AnjutaProfileManager *profile_manager);

`profile_manager` : |
Returns : |

## Property Details

### The `"plugin-manager"` property

      "plugin-manager"           AnjutaPluginManager*  : Read / Write / Construct

The plugin manager to use for profile plugins.

## Signal Details

### The `"profile-descoped"` signal

    void                user_function                      (AnjutaProfileManager *anjutaprofilemanager,
                                                            AnjutaProfile        *arg1,
                                                            gpointer              user_data)                 : Run First

`anjutaprofilemanager` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The `"profile-popped"` signal

    void                user_function                      (AnjutaProfileManager *anjutaprofilemanager,
                                                            AnjutaProfile        *arg1,
                                                            gpointer              user_data)                 : Run First

`anjutaprofilemanager` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The `"profile-pushed"` signal

    void                user_function                      (AnjutaProfileManager *anjutaprofilemanager,
                                                            AnjutaProfile        *arg1,
                                                            gpointer              user_data)                 : Run First

`anjutaprofilemanager` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The `"profile-scoped"` signal

    void                user_function                      (AnjutaProfileManager *anjutaprofilemanager,
                                                            AnjutaProfile        *arg1,
                                                            gpointer              user_data)                 : Run First

`anjutaprofilemanager` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

## See Also

AnjutaPluginManager, AnjutaProfile